#ifndef STRETCHTOOLBAR_H
#define STRETCHTOOLBAR_H

#include <QToolBar>
#include "stfslider.h"

class Image;

class StretchToolbar : public QToolBar
{
    Q_OBJECT
    STFSlider *m_stfSlider;
    QAction *m_autoStretchOnLoad;
public:
    explicit StretchToolbar(QWidget *parent = nullptr);
public slots:
    void stretchImage(Image *img);
    void resetMTF();
    void imageLoaded(Image *img);
signals:
    void paramChanged(float low, float mid, float high);
    void autoStretch();
    void invert(bool enable);
    void superPixel(bool enable);
};

#endif // STRETCHTOOLBAR_H
